/**
 * GUI Commands
 * Copyright 2004 Andrew Pietsch
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: DefaultGroupFactory.java,v 1.5 2005/06/15 23:42:58 pietschy Exp $
 */

package org.pietschy.command;


/**
 *
 * @version $Revision: 1.5 $
 * @author andrewp
 */
class
DefaultGroupFactory
implements GroupFactory
{
   public CommandGroup
   createGroup(CommandManager commandManager)
   {
      return new CommandGroup(commandManager);
   }

   public CommandGroup
   createGroup(CommandManager commandManager, String commandId)
   {
      return new CommandGroup(commandManager, commandId);
   }

   public ToggleCommandGroup
   createToggleGroup(CommandManager commandManager)
   {
      return new ToggleCommandGroup(commandManager);
   }

   public ToggleCommandGroup
   createToggleGroup(CommandManager commandManager, String commandId)
   {
      return new ToggleCommandGroup(commandManager, commandId);
   }
}
